Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[SOVLED]安装flash USE问题
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index 中文 (Chinese)
View previous topic :: View next topic  
Author Message
Heren
n00b
n00b


Joined: 19 May 2014
Posts: 28
Location: China

PostPosted: Sun Jun 08, 2014 1:56 pm    Post subject: [SOVLED]安装flash USE问题 Reply with quote

在网上搜来很多安装flash的 教程,很多都是从官网下载然后减压放在既定目录,不知道是方法不对还是不适用于现在的系统。都没有成功,尝试emerge ,但对于USE实在无法搞懂,面对复杂的依赖关系 ,不知道如何下手。望成功安装的朋友指导一下。谢谢
Code:
[Gentoo tyler # emerge www-plugins/adobe-flash
!!! Found 2 make.conf files, using both '/etc/make.conf' and '/etc/portage/make.conf'

 * IMPORTANT: 1 news items need reading for repository 'gentoo'.
 * Use eselect news to read news items.

Calculating dependencies... done!
[ebuild  N     ] dev-util/automoc-0.9.88
[ebuild  N     ] kde-base/oxygen-icons-4.12.5  USE="(-aqua) -bindist"
[ebuild  N     ] dev-libs/libattica-0.4.2  USE="qt4 -debug (-qt5) {-test}"
[ebuild  N     ] app-crypt/qca-2.0.3  USE="(-aqua) -debug -doc -examples"
[ebuild  N     ] dev-libs/libdbusmenu-qt-0.9.2  USE="-debug -doc {-test}"
[ebuild  N     ] kde-base/kde-env-4.12.5  USE="(-aqua)"
[ebuild  N     ] www-misc/htdig-3.2.0_beta6-r3  USE="ssl"
[ebuild  N     ] media-gfx/exiv2-0.23-r1  USE="nls zlib -contrib -doc -examples -static-libs -xmp" LINGUAS="-de -es -fi -fr -pl -ru -sk"
[ebuild  N     ] media-fonts/liberation-fonts-2.00.0-r1  USE="X -fontforge"
[ebuild  N     ] dev-qt/qttest-4.8.5  USE="exceptions (-aqua) -debug -pch"
[ebuild  N     ] dev-qt/designer-4.8.5  USE="exceptions qt3support (-aqua) -debug -declarative -pch (-phonon) -webkit"
[ebuild  N     ] dev-qt/qtopengl-4.8.5  USE="exceptions qt3support (-aqua) -debug -egl -pch"
[ebuild  N     ] sys-auth/polkit-qt-0.103.0  USE="-debug -examples"
[ebuild  N     ] dev-qt/qtxmlpatterns-4.8.5  USE="(-aqua) -debug -pch"
[ebuild  N     ] app-misc/strigi-0.7.8  USE="dbus exif fam qt4 -clucene -debug -ffmpeg -inotify (-log) {-test}"
[ebuild  N     ] media-plugins/gst-plugins-soup-0.10.31
[ebuild  N     ] dev-qt/qtwebkit-4.8.5  USE="exceptions gstreamer jit (-aqua) -debug -icu -pch"
[ebuild  N     ] dev-qt/qtdeclarative-4.8.5  USE="accessibility exceptions qt3support (-aqua) -debug -pch -webkit"
[ebuild  N     ] app-misc/media-player-info-21-r1
[ebuild  N     ] media-libs/phonon-4.6.0-r1  USE="gstreamer (-aqua) -debug -pulseaudio -vlc (-zeitgeist)"
[ebuild  N     ] media-libs/phonon-gstreamer-4.6.3  USE="alsa network -debug"
[ebuild  N     ] kde-base/kdelibs-4.12.5  USE="acl alsa bzip2 fam handbook mmx nls opengl policykit spell sse sse2 ssl udev udisks upower -3dnow (-altivec) (-aqua) -debug -doc -jpeg2k -kerberos -lzma -openexr -semantic-desktop {-test} -zeroconf"
[ebuild  N     ] kde-base/katepart-4.12.5  USE="handbook (-aqua) -debug"
[ebuild  N     ] sys-auth/polkit-kde-agent-0.99.0-r1  USE="(-aqua) -debug" LINGUAS="-ca -ca@valencia -cs -da -de -en_GB -eo -es -et -fi -fr -ga -gl -hr -hu -is -it -ja -km -lt -mai -ms -nb -nds -nl -pa -pt -pt_BR -ro -ru -sk -sr -sr@ijekavian -sr@ijekavianlatin -sr@latin -sv -th -tr -uk -zh_TW"
[ebuild  N     ] kde-base/kdesu-4.12.5  USE="handbook (-aqua) -debug"
[ebuild  N     ] kde-base/khelpcenter-4.12.5  USE="(-aqua) -debug"
[ebuild  N     ] www-plugins/adobe-flash-11.2.202.359  USE="kde sse2 -debug (-selinux)"

The following license changes are necessary to proceed:
 (see "package.license" in the portage(5) man page for more details)
# required by www-plugins/adobe-flash (argument)
>=www-plugins/adobe-flash-11.2.202.359 AdobeFlash-11.x

Use --autounmask-write to write changes to config files (honoring
CONFIG_PROTECT). Carefully examine the list of proposed changes,
paying special attention to mask or keyword changes that may expose
experimental or unstable packages.

!!! The following installed packages are masked:
- sys-power/upower-0.9.23::gentoo (masked by: package.mask)
/usr/portage/profiles/base/package.mask:
# Rick Farina <zerochaos@gentoo.org> (6 Jun 2013)
# Pm-utils based hibernate and suspend support has discontinued.
# For continued support, use the upower-pm-utils fork or systemd.
# Systemd users can switch to a systemd profile or unmask <sys-power/upower-0.99.0
# Openrc users can "emerge -C upower && emerge -1 upower-pm-utils"

For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.
]

Last edited by Heren on Tue Jun 10, 2014 4:33 am; edited 2 times in total
Back to top
View user's profile Send private message
druggo
Apprentice
Apprentice


Joined: 24 Sep 2003
Posts: 289
Location: Hangzhou, China

PostPosted: Mon Jun 09, 2014 1:56 pm    Post subject: Reply with quote

看来是默认开了kde的USE,可以暂时关闭kde进行安装:
Code:
USE="-kde" emerge -av adobe-flash

_________________
HighWayToHell(blog)
http://blog.druggo.org/
Back to top
View user's profile Send private message
Heren
n00b
n00b


Joined: 19 May 2014
Posts: 28
Location: China

PostPosted: Tue Jun 10, 2014 3:56 am    Post subject: Reply with quote

druggo wrote:
看来是默认开了kde的USE,可以暂时关闭kde进行安装:
Code:
USE="-kde" emerge -av adobe-flash


druggo,thanks ,已经好了,还需要添加证书
Code:
echo "www-plugins/adobe-flash AdobeFlash-11.x" >> /etc/portage/package.license
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index 中文 (Chinese) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum